searchData={"items":[{"type":"module","title":"Faviconic","doc":"Fetch a favicon from a URL, with multiple fallbacks.\n\n**Full online documentation is available [here](https://hexdocs.pm/faviconic/Faviconic.html).**\n\n**You can find the package on Hex [here](https://hex.pm/packages/faviconic).**\n\nFor `example.com` it will first try `example.com/favicon.ico`, then it will try to find the icon file path in the HTML, and if it does, try to fetch that icon. If both fail, then it will query `https://www.google.com/s2/favicons?domain=example.com`","ref":"Faviconic.html"},{"type":"module","title":"To use - Faviconic","doc":"``` elixir\ncase Faviconic.fetch(\"google.com\") do\n  {:ok, image} -> image # image itself is returned\n  {:error, error_message} -> IO.inspect(error_message)\nend\n```\n\n``` elixir\ncase Faviconic.get(\"google.com\") do\n  {:ok, url} -> url # icon URL is returned\n  {:error, error_message} -> IO.inspect(error_message)\nend\n```\n\n---\n\nMIT License\n\nCopyright 2022 Bonfire Networks\nCopyright 2018 Zak Miller (author of the library Faviconic was forked from: https://github.com/ZakMiller/fetch-favicon)","ref":"Faviconic.html#module-to-use"},{"type":"function","title":"Faviconic.fetch/1","doc":"Fetch the binary contents of a favicon file for a domain","ref":"Faviconic.html#fetch/1"},{"type":"function","title":"Faviconic.find/3","doc":"Find a favicon URL (or fetch its binary contents by setting the `fetch_image?` param to true) given HTML page contents. *Use this if you already fetched the HTML page to avoid doing it twice.*\n\nParses the HTML and tries to find a favicon in it (if provided), and otherwise tries other techniques.","ref":"Faviconic.html#find/3"},{"type":"function","title":"Faviconic.get/2","doc":"Get the URL of a favicon file for a domain (or fetch its binary contents by setting the `fetch_image?` param to true)\n\nTries to obtain a favicon for the site.\nIt first tries the url/favicon.ico (for speed).\nThen it uses the some third-party favicon services to try retrieving a favicon.\nLastly it tries to find a path to an icon URL in the HTML page.\n\nIf you do not pass `http://` or `https://`, `http://` is assumed.","ref":"Faviconic.html#get/2"},{"type":"function","title":"Faviconic.parse/3","doc":"Parses an HTML page and tries to find a favicon URL in it","ref":"Faviconic.html#parse/3"}],"content_type":"text/markdown"}